Subject: Backup scripts V1.00
From: K Kubat <[email-masked]>
Date: Mon, 21 Feb 1994 16:09:11 GMT
Newsgroups: comp.os.linux.announce

Heia,

I'd like to announce my set of backup scripts which are available on 
beatrix.icce.rug.nl, directory pub/unix, files backup-1.00.tar.gz and 
backup.lsm.  I uploaded the archive to both tsx-11.mit.edu and to 
sunsite.unc.edu; but I don't know when the folks there will move the archive 
to its appropriate place.  

As a short description, below's the file PURPOSE.DOC, also contained in the
archive:

                    The purpose of the backup scripts
		    ---------------------------------

The backup scripts contained in this archive are meant to facilitate the
making of backups. Some general features of the setup are:

Simple usage: A top-level script called backup does all the work for you by
	interfacing to auxiliary scripts. There is no need to bother with
	the right flags of the archive program, egrep and such.

Uncompressed backups of compressed files: The backup scripts use the program
	afio to read or write the actual backup. afio writes a
	non-compressed cpio compatible backup, but uses file compression on
	the individual files which are stored on the backup medium. This
	procedure is much safer than compressing an entire backup by using,
	e.g., `tar czf': a fault on the backup medium would invalidate the
	entire compressed tar backup which follows the fault. You get the
	best of two worlds; a safe backup procedure while still using
	compression.

Volumes: The setup of these scripts requires that you define backup volumes,
	where each volume is defined by a starting directory and by the
	directories to exclude from the backup. 

	You can define any number of volumes, which may also be overlapping.

Backup types: The scripts allow two backup types for each volume: full
	backups and incremental backups. A full backup consists of all
	files; an incremental backup consists of all files since the last
	full backup. Incremental backups can only be made when a full backup
	exists.

	It is strongly suggested that you make a full backup once a while
	and make small incremental backups on a regular basis. When the
	incremental backups become too large, a new full backup should be
	made.

Lists of backed up files: The scripts maintain for each volume and each
	backup type (full or incremental) a list of backed up files. This
	allows you to quickly see on which backup a file is present.

You get the whole enchilada: The distributed archive contains the scripts
	and all necessary binary files to make backups; e.g., a compiled
	version of the afio program (of course, you could get the sources
	and compile it yourself). Furthermore a lot of documentation is
	distributed, even a short review of backup programs. 

Cheers,
Karel.
-- 
email: [email-masked]             "Premature optimzation is the root
phone: (+31) 50 63 36 47                of all evil.." (Knuth)
mail : ICCE, Univ. of Groningen,
  P.O. box 335, 9700 AH Groningen, Netherlands

-- 
Mail submissions for comp.os.linux.announce to [email-masked].
Please remember to include Keywords and a short description of your software.